@import '~ryzom-web-common/src/scss/common';

@import 'common/common';
@import 'common/admin';

@import 'widget/calendar';
@import 'widget/forge';
@import 'widget/news';
@import 'widget/i18n';

@import '~ryzom-web-common/src/scss/layout/footer';
@import '~ryzom-web-common/src/scss/cookielaw';
@import '~ryzom-web-common/src/scss/layout/header';

@import 'layout/layout';

// @import '~lib-nuxt-i18n/src/assets/styles/styles';

.b-form-datepicker {
  .btn,
  .dropdown-menu {
    color: $dark;
  }

  .b-calendar-inner {
    width: auto !important;
  }
}

.widget-calendar-new {
  .card {
    background-blend-mode: color;
    background-size: cover !important;
    background-position: center !important;
    border: 2px solid $link-color;

    height: 100%;
    width: 100%;

    overflow: hidden;

    text-shadow: -1px -1px 0 #000, 1px -1px 0 #000, -1px 1px 0 #000,
      1px 1px 0 #000;

    @extend .effect-enlarge;

    .card-timezone {
      font-size: large !important;
    }

    @include media-breakpoint-down(md) {
      .card-text {
        display: none;
      }
    }

    @include media-breakpoint-down(xs) {
      .card-title {
        font-size: x-large !important;
      }

      .card-subtitle {
        font-size: large !important;
      }

      .card-timezone {
        font-size: small !important;
      }
    }
  }

  .col-sm-6 {
    @include media-breakpoint-down(xl) {
      .card-title {
        font-size: x-large !important;
      }

      .card-subtitle {
        font-size: large !important;
      }

      .card-text {
        display: none;
      }
    }
    @include media-breakpoint-down(md) {
      .aspect-box {
        padding-top: 28.125% !important;
      }
    }
  }
}

@include media-breakpoint-down(xs) {
  .fc-right {
    display: flex;
    align-items: flex-end;
    justify-content: flex-end;
    flex-direction: column;

    * {
      margin: 0;
    }

    .btn-group {
      margin-top: 0.25rem;
    }
  }
}

@include media-breakpoint-up(md) {
  .text-md-justify {
    text-align: justify;
  }
}

.text-decoration-underline {
  text-decoration: underline !important;
}
.w-66 {
  width: 66%;
}

.border-selected {
  border: 3px solid $secondary;
}
